import { Confirmation } from "@rhangai/vue-notification-manager/lib/types";
export declare type ConfirmationBase = {
    message?: string | null;
    [key: string]: any;
};
declare type ConfirmationCallback = (confirmation: ConfirmationBase) => Promise<boolean> | boolean;
export declare class ConfirmationManager<C extends ConfirmationBase = Confirmation> {
    private readonly confirmationCallback;
    constructor(confirmationCallback: ConfirmationCallback);
    confirm(confirmationValue?: null | string | C): Promise<boolean>;
}
export {};
