import { Notification } from "@rhangai/vue-notification-manager/lib/types";
export declare type NotificationBase = {
    message?: string;
    [key: string]: any;
};
declare type NotificationCallback = (notification: NotificationBase) => void;
export declare class NotificationManager<N extends NotificationBase = Notification> {
    private readonly notificationCallback;
    constructor(notificationCallback: NotificationCallback);
    notify(notificationValue: string | N): true | void;
}
export {};
