export class NotificationManager {
    constructor(notificationCallback) {
        this.notificationCallback = notificationCallback;
    }
    notify(notificationValue) {
        if (!this.notificationCallback)
            return true;
        let notification;
        if (typeof notificationValue === "string") {
            notification = { message: notificationValue };
        }
        else {
            notification = notificationValue;
        }
        return this.notificationCallback(notification);
    }
}
